Name:           libpolyxmass
Version:        0.9.1
Release:        4%{?dist}
Summary:        Polymer chemistry-related functionalities

Group:          System Environment/Libraries
License:        GPLv2+
URL:            http://www.polyxmass.org
Source0:        http://www.polyxmass.org/libpolyxmass/downloads/0.9.1/libpolyxmass-0.9.1.tar.gz
Patch0:         libpolyxmass-x86_64.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: glib2-devel
BuildRequires: pkgconfig
BuildRequires: libxml2-devel
BuildRequires: zlib-devel
BuildRequires: autoconf automake libtool

%description
libpolyxmass is a library that implements some housekeeping
functionalities and polymer chemistry-related functionalities that are
used in the other modules of the GNU polyxmass mass spectrometry
framework. It was born as the merge of the two libpxmutils and
libpxmchem libraries (last versions of these two libraries were for
both 0.7.0). This fact is still visible as the files do have either
"pxmutils-" or "pxmchem-" as prefix in their name. This nomenclature
is going to be maintained as it helps understanding the
functionalities that are housed in the different files of the new
library.

%package devel
Summary:  Files needed for software development with %{name}
Group:    Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig
Requires: glib2-devel
Requires: libxml2-devel
Requires: zlib-devel

%description devel
The %{name}-devel package contains the files needed for development with
%{name}

%prep
%setup -q
%patch0

libtoolize
autoreconf

%build
%configure --disable-static
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=${RPM_BUILD_ROOT}

find ${RPM_BUILD_ROOT} -type f -name "*.la" -exec rm -f {} ';'

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README THANKS TODO
%{_libdir}/*.so.*
%{_datadir}/man/man7/*
%exclude %{_datadir}/doc

%files devel
%defattr(-,root,root,-)
%{_includedir}/libpolyxmass
%{_libdir}/*.so
%{_libdir}/pkgconfig/libpolyxmass.pc

%changelog
* Tue Mar 03 2009 Robert Scheck <robert@fedoraproject.org> - 0.9.1-4
- Rebuilt against libtool 2.2

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Feb 11 2008 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de> - 0.9.1-2
- Rebuilt for gcc43

* Wed Aug 22 2007 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.9.1-1
- version upgrade
- new license tag

* Wed Sep 13 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.9.0-7
- FE6 rebuild

* Wed Feb 15 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.9.0-6
- Rebuild for Fedora Extras 5

* Wed Jan 25 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.9.0-5
- version upgrade

* Fri Oct 21 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.8.9-4
- add dist
- add patch for x86_64 (pkgconfig dir was wrong)

* Thu Oct 20 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.8.9-3
- add missing defattr for devel package

* Thu Oct 20 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.8.9-2
- added missing BuildRequires glib2

* Mon Sep 05 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.8.9-1
- Initial Release
